<?php
/**
 * Review list top view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$page    = $this->reviewPage;
$style   = $this->style;
$pgSett  = $this->pageSetting;
$stSett  = $this->styleSetting;

$logo = false;
if ( $attach_id = $stSett->getSetting( 'logo' ) ) {
  $data = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
  $logo = $data[0];
}
$class = 'iprev-list-top';
if ( $logo ) {
  $class .= ' _top-logo-on';
} else {
  $class .= ' _top-logo-off';
}
?>

<div class="<?php echo $class; ?>">
  <div class="_top-inner iprev-clearfix">

    <!-- Start: ._top-header -->
    <div class="_top-header">
      <h3 class="_top-title">
        <?php
        if ( $logo ) :
        ?>
        <span class="_top-title-logo">
          <span class="_top-title-logo-image">
            <img src="<?php echo $logo; ?>" alt="">
          </span>
        </span>
        <?php
        endif;
        ?>
        <span class="_top-title-text">
          <?php
          $title = $stSett->getSetting( 'top_title', __( 'Customer Reviews', IPREV_SLUG ) );
          echo $title;
          ?>
        </span>
      </h3>
    </div>
    <!-- End: ._top-header -->

    <!-- Start: ._top-rating-info -->
    <div class="_top-count-info">
      <!-- Start: ._top-count -->
      <div class="_top-count">
        <i class="iprev-fa iprev-fa-comments"></i>
        <?php
        $format = $stSett->getSetting( 'number_format', '%number% reviews' );
        $count  = $this->reviewCounts->approved;
        $info   = str_replace( '%number%', $count, $format );
        echo $info;
        ?>
      </div>
      <!-- End: ._top-count -->

      <!-- Start: ._top-rating -->
      <div class="_top-rating">
        <div class="_rating-star">
          <?php
          $rating = $this->pageRating;
          for( $i = 1; $i <= $rating; $i++ ) {
            echo '<span class="_rating-star-full"><i class="iprev-fa iprev-fa-star"></i></span>';
          }
          $roundUp = ceil( $rating );
          if ( $roundUp > $rating ) {
            echo '<span class="_rating-star-half">
                    <i class="iprev-fa iprev-fa-star-half"></i>
                    <i class="iprev-fa iprev-fa-star"></i>
                  </span>';
          }
          $minus = 5 - $roundUp;
          if ( $minus > 0 ) {
            for( $i = 1; $i <= $minus; $i++ ) {
              echo '<span class="_rating-star-empty"><i class="iprev-fa iprev-fa-star"></i></span>';
            }
          }
          ?>
        </div>
        <div class="_rating-label"><?php echo $rating; ?></div>
      </div>
      <!-- End: ._top-rating -->

    </div>
    <!-- End: ._top-count-info -->

    <!-- Start: ._top-actions -->
    <?php
    $minimize = true;
    $close    = false;
    if ( $stSett->getSetting( 'minimize_button', 'true' ) == 'false' ) {
      $minimize = false;
    }
    if ( $stSett->getSetting( 'close_button', 'false' ) == 'true' ) {
      $close = true;
    }
    if ( isset( $this->hideActions ) && $this->hideActions ) {
      $minimize = false;
      $close    = false;
    }

    if ( ! isset( $this->widgetPost ) || ! $this->widgetPost ) :
    ?>
    <div class="_top-actions">
      <div class="_top-actions-link">
        <?php
        if ( $minimize ) :
        ?>
        <a href="#" class="_top-action-minimize">
          <i class="iprev-fa iprev-fa-chevron-down"></i>
        </a>
        <?php
        endif;
        if ( $close ) :
        ?>
        <a href="#" class="_top-action-close">
          <i class="iprev-fa iprev-fa-times"></i>
        </a>
        <?php
        endif;
        ?>
      </div>
    </div>
    <?php
    endif;
    ?>
    <!-- End: ._top-count -->

  </div>
</div>
