<?php
/**
 * Admin page main view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="iprev-manage-page" class="wrap iprev-wrap iprev-admin">
  <div class="iprev-inner">
    <?php
    if ( $this->page ) {
        $this->title = $this->page->post_title;
        $this->info  = '<i class="iprev-fa iprev-fa-calendar"></i> Created: ' .
            '<strong>' . mysql2date( 'd F Y, h:i', $this->page->post_date ) . '</strong>';

        $this->view( 'manage/general/header' );
    } else {
        $this->view( 'manage/general/header' );
    }
    ?>
    <div class="iprev-main">
      <div class="iprev-main-info"></div>

      <div class="iprev-primary">
        <div class="iprev-manage-wrap iprev-manage-sidebar">
          <form id="<?php echo $this->formId; ?>" class="iprev-form-container iprev-form" method="post" action="<?php echo $this->formAction; ?>" enctype="multipart/form-data">
            <input type="hidden" name="item_id" id="iprev-value-itemid" value="<?php echo $this->itemId; ?>" />

            <div class="container-fluid container">
              <div class="iprev-clear iprev-tab">
                <?php
                $this->view( 'page/main/nav' );
                ?>

                <div class="iprev-manage-content">
                  <div class="iprev-manage-info">
                    <div class="row">
                      <div class="col-md-8">
                        <div class="iprev-tab-title">
                          <i class="iprev-fa iprev-fa-cogs"></i>
                          <div class="iprev-title-text">
                            <h3> <?php _e( 'General', IPREV_SLUG ); ?></h3>
                            <p> <?php _e( 'Basic settings and info of your review page', IPREV_SLUG ); ?></p>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-4">
                        <div class="iprev-top-submit">
                          <button type="submit" class="iprev-form-submit iprev-btn iprev-btn-secondary iprev-btn-lg <?php echo $this->submitId; ?>" id="do-update-top" name="update_top">
                            <i class="iprev-fa iprev-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong> <?php echo $this->submitLabel; ?></strong>
                          </button>
                          <?php
                          if ( $this->page ) {
                            echo '<p class="iprev-update-info">' .
                              __( 'Last Update', IPREV_SLUG ) .
                              ': <strong>' . mysql2date( 'd F Y, h:i:s', $this->page->post_date ) . '</strong>' .
                            '</p>';
                          }
                          ?>
                        </div>
                      </div>
                    </div>
                  </div>

                  <?php
                  $this->view( 'page/main/content' );
                  ?>

                  <div class="iprev-manage-footer">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="iprev-bottom-submit">
                          <button type="submit" class="iprev-form-submit iprev-btn iprev-btn-secondary iprev-btn-lg <?php echo $this->submitId; ?>" id="do-update-bottom" name="update_bottom">
                            <i class="iprev-fa iprev-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong><?php echo $this->submitLabel; ?></strong>
                          </button>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="iprev-bottom-action text-right">
                          <?php
                          if ( $this->page ) :
                          ?>
                          <a href="#" class="iprev-btn iprev-btn-danger iprev-btn-lg iprev-item-delete iprev-delete-edit" data-id="<?php echo $this->page->ID; ?>">
                              <i class="iprev-fa iprev-fa-trash"></i>
                              <?php _e( 'Delete', IPREV_SLUG ); ?>
                          </a>
                          <?php
                          endif;
                          ?>
                        </div>
                      </div>
                    </div>

                  </div>
                </div>
              </div>
            </div>

          </form>
        </div>
      </div>
    </div>
  </div>
</div>
