<?php
/**
 * Admin manage seo content of survey page
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="iprev-section-style" class="iprev-tab-content">
  <div class="iprev-tab-inner">

    <div class="iprev-title-content iprev-hide">
      <i class="iprev-fa iprev-fa-paint-brush"></i>
      <div class="iprev-title-text">
        <h3><?php _e( 'Main Style', IPREV_SLUG ); ?></h3>
        <p><?php _e( 'Manage styles for the main content', IPREV_SLUG ); ?></p>
      </div>
    </div>
    <!-- start: .iprev-fields -->
    <div class="iprev-fields">

      <h3 class="iprev-field-title">
        <?php _e( 'General Styles', IPREV_SLUG ); ?>
      </h3>

      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-background-color"><?php _e( 'Background Color', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'background_color', '#f9f9f9' ) );
          ?>
          <input type="text" class="iprev-color-picker" id="input-background-color" name="background_color" value="<?php echo $color; ?>" />


          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Add background color in the main section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-background-image"><?php _e( 'Background Image', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <div class="iprev-upload-image iprev-clear">
              <div class="iprev-upload-preview">
                  <?php
                    $setimg = false;
                    if ( $attach_id = $this->setting->getSetting( 'background_image' ) ) {
                        $setimg = true;
                        $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none iprev-hide">' . __( 'No image', IPREV_SLUG ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', IPREV_SLUG ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                  ?>
              </div>

              <div class="iprev-image-field">
                  <div class="iprev-select-image">
                      <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPREV_SLUG ); ?></p>
                      <a class="iprev-btn iprev-btn-secondary iprev-btn-media iprev-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPREV_SLUG ); ?>"
                        data-update="<?php esc_attr_e( 'Choose photo', IPREV_SLUG ); ?>">
                          <i class="iprev-fa iprev-fa-image"></i>
                          <?php _e( 'Select Photo', IPREV_SLUG ); ?>
                      </a>
                      <a class="iprev-btn iprev-btn-reset iprev-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                          <i class="iprev-fa iprev-fa-ban"></i>
                          <?php _e( 'Clear Photo', IPREV_SLUG ); ?>
                      </a>
                  </div>
                  <input type="hidden" name="upload_type" class="iprev-upload-type" value="background_image" />
                  <input type="hidden" name="background_image" class="iprev-image-id" value="<?php echo $attach_id; ?>" />
              </div>
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The background image in the main section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Background repeat
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-background-repeat"><?php _e( 'Background Repeat', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $style   = $setting->getSetting( 'background_repeat' );
          $options = array(
              'no-repeat'   => __( 'No Repeat', IPREV_SLUG ),
              'repeat-x'    => __( 'Repeat Horizontally', IPREV_SLUG ),
              'repeat-y'    => __( 'Repeat Vertically', IPREV_SLUG ),
              'repeat'      => __( 'Repeat All', IPREV_SLUG ),
          );
          ?>
          <select name="background_repeat" id="input-background-repeat">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $style ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The alignment logo/title in main section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Background opacity
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-background-opacity"><?php _e( 'Background Opacity', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $opacity = $setting->getSetting( 'background_opacity' );
          $options = array(
              0    => __( 'None', IPREV_SLUG ),
              10   => __( '10%', IPREV_SLUG ),
              20   => __( '20%', IPREV_SLUG ),
              30   => __( '30%', IPREV_SLUG ),
              40   => __( '40%', IPREV_SLUG ),
              50   => __( '50%', IPREV_SLUG ),
              60   => __( '60%', IPREV_SLUG ),
              70   => __( '70%', IPREV_SLUG ),
              80   => __( '80%', IPREV_SLUG ),
              90   => __( '90%', IPREV_SLUG ),
          );
          ?>
          <select name="background_opacity" id="input-background-opacity">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $opacity ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Make transparency for the background image.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Padding Top
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
          <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-padding-top"><?php _e( 'Padding Top', IPREV_SLUG ); ?></label>
          </div>
          <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $padding = $this->setting->getSetting( 'padding_top' );
              ?>
              <div class="iprev-input-group mr5">
                  <input type="text" id="input-padding-top" class="iprev-input iprev-input-xs" name="padding_top" value="<?php echo $padding; ?>">
                  <div class="iprev-input-addon">px</div>
              </div>

              <div class="iprev-help">
                <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
                  <div class="iprev-help-content iprev-hide">
                  <?php _e( 'Padding top for the main section (in px).', IPREV_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Padding Bottom
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
          <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-padding-bottom"><?php _e( 'Padding Bottom', IPREV_SLUG ); ?></label>
          </div>
          <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $padding = $this->setting->getSetting( 'padding_bottom' );
              ?>
              <div class="iprev-input-group mr5">
                  <input type="text" id="input-padding-bottom" class="iprev-input iprev-input-xs" name="padding_bottom" value="<?php echo $padding; ?>">
                  <div class="iprev-input-addon">px</div>
              </div>

              <div class="iprev-help">
                <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
                  <div class="iprev-help-content iprev-hide">
                  <?php _e( 'Padding bottom for the main section (in px).', IPREV_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .iprev-field-row -->

      <h3 class="iprev-field-title">
        <?php _e( 'Main Content Styles', IPREV_SLUG ); ?>
      </h3>

      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-background-color"><?php _e( 'Background Color', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'main_background_color', '#f9f9f9' ) );
          ?>
          <input type="text" class="iprev-color-picker" id="input-main-background-color" name="main_background_color" value="<?php echo $color; ?>" />


          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The background color in the main section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Text Color
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-text-color"><?php _e( 'Text Color', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'main_text_color', '#333333' ) );
          ?>
          <input type="text" class="iprev-color-picker" id="input-main-text-color" name="main_text_color" value="<?php echo $color; ?>" />


          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The color for text in the main section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Link Color
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-link-color">
            <?php _e( 'Link Color', IPREV_SLUG ); ?>
          </label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'main_link_color', '#222222' ) );
          ?>
          <input type="text" class="iprev-color-picker" id="input-main-link-color" name="main_link_color" value="<?php echo $color; ?>" />

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The color for links in the main section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Link Hover Color
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-link-hover-color">
            <?php _e( 'Link Hover Color', IPREV_SLUG ); ?>
          </label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'main_link_hover_color', '#222222' ) );
          ?>
          <input type="text" class="iprev-color-picker" id="input-main-link-hover-color" name="main_link_hover_color" value="<?php echo $color; ?>" />

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The color for links in the main section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Padding
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
          <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-main-padding"><?php _e( 'Padding', IPREV_SLUG ); ?></label>
          </div>
          <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $padding = $this->setting->getSetting( 'main_padding' );
              ?>
              <div class="iprev-input-group mr5">
                  <input type="text" id="input-main-padding" class="iprev-input iprev-input-xs" name="main_padding" value="<?php echo $padding; ?>">
                  <div class="iprev-input-addon">px</div>
              </div>

              <div class="iprev-help">
                <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
                  <div class="iprev-help-content iprev-hide">
                  <?php _e( 'Padding for the main content section (in px).', IPREV_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Border
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-border"><?php _e( 'Border', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $bowidth = $this->setting->getSetting( 'main_border_width', 0 );
          $bocolor = stripslashes( $this->setting->getSetting( 'main_border_color', '#222222' ));
          ?>
          <div class="iprev-input-group mr5">
            <input type="text" id="input-main-border-width" class="iprev-input iprev-input-xxs" name="main_border_width" value="<?php echo $bowidth; ?>">
            <div class="iprev-input-addon">px</div>
          </div>
          <input type="text" class="iprev-color-picker" id="input-main-border-color" name="main_border_color" value="<?php echo $bocolor; ?>" />

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Add border in the main section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Border radius
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
          <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-main-border-radius"><?php _e( 'Border Radius', IPREV_SLUG ); ?></label>
          </div>
          <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

              <select name="main_border_radius" id="input-main-border-radius">
              <?php
              $current = stripslashes( $this->setting->getSetting( 'main_border_radius', 'none' ));
              $styles  = array(
                  'none' => __( 'None', IPREV_SLUG ),
                  'xs'   => __( 'Extra Small', IPREV_SLUG ),
                  'sm'   => __( 'Small', IPREV_SLUG ),
                  'md'   => __( 'Medium', IPREV_SLUG ),
                  'lg'   => __( 'Large', IPREV_SLUG )
              );
              foreach( $styles as $key => $label ) {
                  $sltd = '';
                  if ( $key == $current ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
              </select>

              <div class="iprev-help">
                <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
                  <div class="iprev-help-content iprev-hide">
                  <?php _e( 'Add radius in the main section.', IPREV_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Font Family
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-font-family"><?php _e( 'Font Family', IPREV_SLUG ); ?></label>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $current = $this->setting->getSetting( 'main_font_family', 'roboto' );
          $fonts   = IPRev_Font::getOptions();
          $fname   = IPRev_Font::getFontName( $current );
          ?>
          <span class="iprev-font-family">
            <div class="iprev-menu iprev-fancy-option">
              <div class="iprev-selected">
                <div class="iprev-selected-box">
                  <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                </div>
                <span class="toggle"></span>
              </div>
              <div class="iprev-select" style="display: none;">
                <div class="iprev-select-content">
                  <ul class="clearfix">
                    <?php
                    foreach( $fonts as $fkey => $label ) :
                    ?>
                    <li data-select="<?php echo $fkey; ?>">
                      <strong class="iprev-select-label">
                        <?php echo $label; ?>
                      </strong>
                    </li>
                    <?php
                    endforeach;
                    ?>
                  </ul>
                </div>
              </div>
              <input type="hidden" name="main_font_family" class="iprev-input-select" value="<?php echo $current; ?>" />
            </div>
          </span>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The font family of the main section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Shadow
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-shadow"><?php _e( 'Shadow', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-onoff">
              <?php
              $val  = $this->setting->getSetting( 'main_shadow', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="iprev-btn-group">
                <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'On', IPREV_SLUG ); ?></button>
                <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Off', IPREV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="iprev-onoff-value" name="main_shadow" value="<?php echo $val; ?>" />
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Determines whether to add a shadow effect on the main content.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Button style
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-button-style"><?php _e( 'Button Style', IPREV_SLUG ); ?></label>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <select name="main_button_style" id="input-main-button-style">
            <?php
            $current = $setting->getSetting( 'main_button_style', 'flat' );
            $styles  = array(
              'flat'     => __( 'Flat', IPREV_SLUG ),
              'gradient' => __( 'Gradient', IPREV_SLUG ),
              'rounded'  => __( 'Rounded', IPREV_SLUG )
            );
            foreach( $styles as $skey => $label ) {
              $sltd = '';
              if ( $skey == $current ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The style of the button in main content.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Button style color
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-button-style-color"><?php _e( 'Button Style Color', IPREV_SLUG ); ?></label>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <select name="main_button_style_color" id="input-main-button-style-color">
            <?php
            $current = $setting->getSetting( 'main_button_style_color', 'clean' );
            $colors  = array(
              'clean'    => __( 'Clean', IPREV_SLUG ),
              'dark'     => __( 'Dark', IPREV_SLUG ),
              'red'      => __( 'Red', IPREV_SLUG ),
              'blue'     => __( 'Blue', IPREV_SLUG ),
              'green'    => __( 'Green', IPREV_SLUG ),
              'orange'   => __( 'Orange', IPREV_SLUG ),
              'gold'     => __( 'Gold', IPREV_SLUG ),
              'aqua'     => __( 'Aqua', IPREV_SLUG ),
              'purple'   => __( 'Purple', IPREV_SLUG ),
              'lime'     => __( 'Lime', IPREV_SLUG )
            );
            foreach( $colors as $skey => $label ) {
              $sltd = '';
              if ( $skey == $current ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The style color of the button in main content.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <h3 class="iprev-field-title">
        <?php _e( 'Form Input Styles', IPREV_SLUG ); ?>
      </h3>

      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-form-background-color"><?php _e( 'Background Color', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'form_background_color', '#f9f9f9' ) );
          ?>
          <input type="text" class="iprev-color-picker" id="input-form-background-color" name="form_background_color" value="<?php echo $color; ?>" />


          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The background color of the input form.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Text Color
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-form-color"><?php _e( 'Text Color', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'form_text_color', '#555555' ) );
          ?>
          <input type="text" class="iprev-color-picker" id="input-form-color" name="form_text_color" value="<?php echo $color; ?>" />


          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Text color in the input form.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Font Family
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-form-font-family"><?php _e( 'Font Family', IPREV_SLUG ); ?></label>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $current = $this->setting->getSetting( 'form_font_family', 'roboto' );
          $fonts   = IPRev_Font::getOptions();
          $fname   = IPRev_Font::getFontName( $current );
          ?>
          <span class="iprev-font-family">
            <div class="iprev-menu iprev-fancy-option">
              <div class="iprev-selected">
                <div class="iprev-selected-box">
                  <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                </div>
                <span class="toggle"></span>
              </div>
              <div class="iprev-select" style="display: none;">
                <div class="iprev-select-content">
                  <ul class="clearfix">
                    <?php
                    foreach( $fonts as $fkey => $label ) :
                    ?>
                    <li data-select="<?php echo $fkey; ?>">
                      <strong class="iprev-select-label">
                        <?php echo $label; ?>
                      </strong>
                    </li>
                    <?php
                    endforeach;
                    ?>
                  </ul>
                </div>
              </div>
              <input type="hidden" name="form_font_family" class="iprev-input-select" value="<?php echo $current; ?>" />
            </div>
          </span>
          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The font family of the form section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Border
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-form-border"><?php _e( 'Border', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $bowidth = $this->setting->getSetting( 'form_border_width', 0 );
          $bocolor = stripslashes( $this->setting->getSetting( 'form_border_color', '#222222' ));
          ?>
          <div class="iprev-input-group mr5">
            <input type="text" id="input-form-border-width" class="iprev-input iprev-input-xxs" name="form_border_width" value="<?php echo $bowidth; ?>">
            <div class="iprev-input-addon">px</div>
          </div>
          <input type="text" class="iprev-color-picker" id="input-form-border-color" name="form_border_color" value="<?php echo $bocolor; ?>" />

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Add border in the form section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Border radius
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-form-border-radius"><?php _e( 'Border Radius', IPREV_SLUG ); ?></label>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <select name="form_border_radius" id="input-form-border-radius">
            <?php
            $current = stripslashes( $this->setting->getSetting( 'form_border_radius', 'none' ));
            $styles  = array(
              'none' => __( 'None', IPREV_SLUG ),
              'xs'   => __( 'Extra Small', IPREV_SLUG ),
              'sm'   => __( 'Small', IPREV_SLUG ),
              'md'   => __( 'Medium', IPREV_SLUG ),
              'lg'   => __( 'Large', IPREV_SLUG )
            );
            foreach( $styles as $key => $label ) {
              $sltd = '';
              if ( $key == $current ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Add radius in the form section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Shadow
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-form-shadow"><?php _e( 'Shadow', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-onoff">
              <?php
              $val  = $this->setting->getSetting( 'form_shadow', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="iprev-btn-group">
                <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'On', IPREV_SLUG ); ?></button>
                <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Off', IPREV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="iprev-onoff-value" name="form_shadow" value="<?php echo $val; ?>" />
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Determines the status of the survey, whether the survey will be viewable by the public or not.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Button style
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-form-button-style"><?php _e( 'Button Style', IPREV_SLUG ); ?></label>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <select name="form_button_style" id="input-form-button-style">
            <?php
            $current = $setting->getSetting( 'form_button_style', 'flat' );
            $styles  = array(
              'flat'     => __( 'Flat', IPREV_SLUG ),
              'gradient' => __( 'Gradient', IPREV_SLUG ),
              'rounded'  => __( 'Rounded', IPREV_SLUG )
            );
            foreach( $styles as $skey => $label ) {
              $sltd = '';
              if ( $skey == $current ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The style of the submit button.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Button style color
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-form-button-style-color"><?php _e( 'Button Style Color', IPREV_SLUG ); ?></label>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <select name="form_button_style_color" id="input-form-button-style-color">
            <?php
            $current = $setting->getSetting( 'form_button_style_color', 'clean' );
            $colors  = array(
              'clean'    => __( 'Clean', IPREV_SLUG ),
              'dark'     => __( 'Dark', IPREV_SLUG ),
              'red'      => __( 'Red', IPREV_SLUG ),
              'blue'     => __( 'Blue', IPREV_SLUG ),
              'green'    => __( 'Green', IPREV_SLUG ),
              'orange'   => __( 'Orange', IPREV_SLUG ),
              'gold'     => __( 'Gold', IPREV_SLUG ),
              'aqua'     => __( 'Aqua', IPREV_SLUG ),
              'purple'   => __( 'Purple', IPREV_SLUG ),
              'lime'     => __( 'Lime', IPREV_SLUG )
            );
            foreach( $colors as $skey => $label ) {
              $sltd = '';
              if ( $skey == $current ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The style color of the submit button.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

    </div>
    <!-- end: .iprev-fields -->
  </div>
</div>
