<?php
/**
 * Admin content general view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="iprev-section-general" class="iprev-tab-content">
  <div class="iprev-tab-inner">

    <div class="iprev-title-content iprev-hide">
      <i class="iprev-fa iprev-fa-cogs"></i>
      <div class="iprev-title-text">
        <h3><?php _e( 'General', IPREV_SLUG ); ?></h3>
        <p><?php _e( 'Basic settings and info of your style', IPREV_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .iprev-fields -->
    <div class="iprev-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-title"><?php _e( 'Style Name', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = '';
          if ( $this->style ) {
            $title = stripslashes( $this->style->post_title );
          }
          ?>
          <input type="text" id="input-title" class="iprev-input iprev-input-full iprev-input-v-lg" name="title" value="<?php echo $title; ?>">

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide"><?php _e( 'The name of the review style. This data will not be used directly in creating the review style but only to mark the style so it is easier for you to manage it.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Template
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-header-style"><?php _e( 'Style', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <select id="input-style" name="style">
            <?php
            $style  = $this->setting->getSetting( 'style', 1 );
            $styles = array(
              1  => __( 'Style #1', IPREV_SLUG ),
              2  => __( 'Style #2', IPREV_SLUG )
            );
            foreach( $styles as $id => $label )
            {
                $sltd = '';
                if ( $id == $style ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $id . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide"><?php _e( 'Set the style of the list of reviews.', IPREV_SLUG ); ?>
            </div>
          </div>

        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Style color
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-color"><?php _e( 'Style Color', IPREV_SLUG ); ?></label>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <select name="color" id="input-color">
            <?php
            $current = $this->setting->getSetting( 'color', 'clean' );
            $colors  = array(
              'clean'    => __( 'Clean', IPREV_SLUG ),
              'dark'     => __( 'Dark', IPREV_SLUG ),
              'red'      => __( 'Red', IPREV_SLUG ),
              'blue'     => __( 'Blue', IPREV_SLUG ),
              'green'    => __( 'Green', IPREV_SLUG ),
              'orange'   => __( 'Orange', IPREV_SLUG )
            );
            foreach( $colors as $skey => $label ) {
              $sltd = '';
              if ( $skey == $current ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The style color of the list of reviews.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

    </div>
    <!-- end: .iprev-fields -->

  </div>
</div>
