<?php
/**
 * Admin header style view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="iprev-section-header" class="iprev-tab-content">
  <div class="iprev-tab-inner">

    <div class="iprev-title-content iprev-hide">
      <i class="iprev-fa iprev-fa-paint-brush"></i>
      <div class="iprev-title-text">
        <h3><?php _e( 'Header Style', IPREV_SLUG ); ?></h3>
        <p><?php _e( 'Set the header style of a reviews list', IPREV_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .iprev-fields -->
    <div class="iprev-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-top-title"><?php _e( 'Title', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = $this->setting->getSetting( 'top_title', __( 'Customer Reviews', IPREV_SLUG ) );
          ?>
          <input type="text" id="input-top-title" class="iprev-input iprev-input-full" name="top_title" value="<?php echo $title; ?>">

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The title for the combo bar.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Header Logo
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-logo"><?php _e( 'Logo', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <div class="iprev-upload-image iprev-clear">
              <div class="iprev-upload-preview">
                  <?php
                    $setimg = false;
                    if ( $attach_id = $this->setting->getSetting( 'logo' ) ) {
                        $setimg = true;
                        $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none iprev-hide">' . __( 'No logo', IPREV_SLUG ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No logo', IPREV_SLUG ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                  ?>
              </div>

              <div class="iprev-image-field">
                  <div class="iprev-select-image">
                      <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPREV_SLUG ); ?></p>
                      <a class="iprev-btn iprev-btn-secondary iprev-btn-media iprev-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPREV_SLUG ); ?>"
                        data-update="<?php esc_attr_e( 'Choose logo', IPREV_SLUG ); ?>">
                          <i class="iprev-fa iprev-fa-image"></i>
                          <?php _e( 'Select Logo', IPREV_SLUG ); ?>
                      </a>
                      <a class="iprev-btn iprev-btn-reset iprev-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                          <i class="iprev-fa iprev-fa-ban"></i>
                          <?php _e( 'Clear Logo', IPREV_SLUG ); ?>
                      </a>
                  </div>
                  <input type="hidden" name="upload_type" class="iprev-upload-type" value="logo" />
                  <input type="hidden" name="logo" class="iprev-image-id" value="<?php echo $attach_id; ?>" />
              </div>
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The logo for the combo bar.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Close button
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-close-button"><?php _e( 'Close Button', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-onoff">
              <?php
              $val  = $this->setting->getSetting( 'close_button', 'false' );
              if ( $val == 'false' ) {
                  $val = 'false';
              }
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="iprev-btn-group">
                <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'Show', IPREV_SLUG ); ?></button>
                <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Hide', IPREV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="iprev-onoff-value" name="close_button" value="<?php echo $val; ?>" />
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Set whether to show the close button to close the combo bar.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Minimize button
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-minimize-button"><?php _e( 'Minimize Button', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-onoff">
              <?php
              $val  = $this->setting->getSetting( 'minimize_button', 'true' );
              if ( $val == 'false' ) {
                  $val = 'false';
              }
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="iprev-btn-group">
                <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'Show', IPREV_SLUG ); ?></button>
                <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Hide', IPREV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="iprev-onoff-value" name="minimize_button" value="<?php echo $val; ?>" />
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Set whether to show the minimize button to minimize the combo bar.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Rating
       *

      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-rating-on"><?php _e( 'Rating', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-onoff">
              <?php
              $val  = $this->setting->getSetting( 'rating_on', 'true' );
              if ( $val == 'false' ) {
                  $val = 'false';
              }
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="iprev-btn-group">
                <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'Show', IPREV_SLUG ); ?></button>
                <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Hide', IPREV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="iprev-onoff-value" name="rating_on" value="<?php echo $val; ?>" />
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Set whether to show the rating information.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->
      */
      ?>

      <?php
      /*
       * Number of reviews text
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-number-format"><?php _e( 'Number of Reviews Format', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $format = $this->setting->getSetting( 'number_format', '%number% reviews' );
          ?>
          <input type="text" id="input-number-format" class="iprev-input iprev-input-full" name="number_format" value="<?php echo $format; ?>">

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Set the text format of the information amount of reviews.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

    </div>
    <!-- end: .iprev-fields -->

  </div>
</div>
