<?php
/**
 * Review page head view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<?php
$st = $this->setting;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $this->pageTitle; ?></title>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <meta name="description" content="<?php echo stripslashes( $st->getSetting( 'seo_meta_description', '' )); ?>">
    <meta name="keywords" content="<?php echo stripslashes( $st->getSetting( 'seo_meta_keywords', '' )); ?>">
    <meta property="og:title" content="<?php echo $title; ?>">
    <meta property="og:description" content="<?php echo stripslashes( $st->getSetting( 'seo_meta_description', '' )); ?>">
    <meta property="og:type" content="article">
    <meta property="og:image" content="<?php echo $st->getSetting( 'seo_graph_image', '' ); ?>">
    <meta property="og:url" content="<?php echo $this->permalink; ?>">

    <!-- Icon -->
    <?php
    if ( $iconurl = $st->getSetting( 'seo_favicon' ) ) :
    ?>
        <link rel="shortcut icon" href="<?php echo $iconurl; ?>" type="image/x-icon">
    <?php
    endif;
    ?>

    <!-- Css -->
    <link href="<?php echo $this->getGoogleFont(); ?>" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="<?php echo $this->cssurl; ?>public-page.min.css" type="text/css" media="all" />

    <!-- JQuery -->
    <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
    <script>
      var page_id        = '<?php echo $this->page->ID; ?>';
      var iprev_ajaxurl  = "<?php echo admin_url( 'admin-ajax.php' ); ?>";
      var iprev_img_url  = '<?php echo IPREV_BASE_URL . 'assets/img/'; ?>';
      var iprev_message  =
      {
          input_error_name: '<?php _e( 'You must enter your name.', IPREV_SLUG ); ?>',
          input_error_email: '<?php _e( 'You must enter your email address.', IPREV_SLUG ); ?>',
          input_error_email_format: '<?php _e( 'Your email address is wrong format.', IPREV_SLUG ); ?>',
          input_error_content: '<?php _e( 'You must enter your review.', IPREV_SLUG ); ?>',
          submit_success: '<?php _e( 'Review successfully saved.', IPREV_SLUG ); ?>',
          submit_failed: '<?php _e( 'Review failed to save.', IPREV_SLUG ); ?>',
      };
    </script>

</head>
