<?php
/**
 * Review page top view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st      = $this->setting;
$bgcolor = $st->getSetting( 'header_background_color', '#ffffff' );
$color   = $st->getSetting( 'header_color', '#333333' );
$bowidth = $st->getSetting( 'header_border_width' );
$bocolor = $st->getSetting( 'header_border_color', '#dddddd' );
$padtop  = $st->getSetting( 'header_padding_top', '0' );
$padbot  = $st->getSetting( 'header_padding_bottom', '0' );
//Font
$font_opt = $st->getSetting( 'header_font_family', 'roboto' );
$family   = IPRev_Font::getFamily( $font_opt );
?>
<style>
.iprev-review-page ._top {
  background-color: <?php echo $bgcolor; ?>;
  color: <?php echo $color; ?>;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
  padding-top: <?php echo $padtop; ?>px;
  padding-bottom: <?php echo $padbot; ?>px;
  font-family: <?php echo $family; ?>;
}
</style>

<?php
$class  = '_top';
$class .= ' _align-' . $st->getSetting( 'header_alignment', 'left' );
$class .= ' _top-style-' . $st->getSetting( 'header_style', 1 );
if ( $radius = $st->getSetting( 'header_border_radius' )) {
    $class .= ' _radius-' . $radius;
}
if ( $st->getSetting( 'header_shadow', 'false' ) == 'true' ) {
    $class .= ' _shadow-on';
} else {
    $class .= ' _shadow-off';
}
?>
<div class="<?php echo $class; ?>">
  <div class="_top-inner">
    <?php
    $title  = $st->getSetting( 'header_title' );
    $logo   = false;
    if ( $logoid = $st->getSetting( 'header_logo' ) ) {
        $data = wp_get_attachment_image_src( $logoid, 'full' );
        if ( ! empty( $data[0] )) {
            $logo = $data[0];
        }
    }
    if ( ! empty( $title ) || ! empty( $logo )) :
        $class = '_header';
        if ( empty( $title )) {
            $class .= ' _header-w-logo';
        } elseif ( empty( $logo )) {
            $class .= ' _header-w-title';
        } else {
            $class .= ' _header-w-title-logo';
        }
    ?>
    <div class="<?php echo $class; ?>">
      <div class="_header-group">
        <?php
        if ( ! empty( $logo )) :
        ?>
        <div class="_header-logo">
          <img src="<?php echo $logo; ?>" alt="">
        </div>
        <?php
        endif;

        if ( ! empty( $title )) :
        ?>
        <div class="_header-title">
          <h1><?php echo $title; ?></h1>
        </div>
        <?php
        endif;
        ?>
      </div>
    </div>
    <?php
    endif;
    ?>
  </div>
</div>
