<?php
/**
 * Review item secondary view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$page    = $this->reviewPage;
$style   = $this->style;
$pgSett  = $this->pageSetting;
$stSett  = $this->styleSetting;

if ( ! isset( $this->review ) || empty( $this->review )) {
  return;
}
$review = $this->review;
?>

<!-- Start: .iprev-review-secondary -->
<div class="iprev-review-secondary">
  <div class="_inner iprev-clear">

    <!-- Start: .iprev-review-user -->
    <div class="iprev-review-user _author iprev-clear">

      <!-- Start: ._author-photo -->
      <?php
      $photoon = $stSett->getSetting( 'list_photo_on', 'true' );
      if ( $photoon == 'true' ) :
        $photo = get_avatar( $review->comment_author_email, 128 );
      ?>
      <div class="_author-photo">
        <?php echo $photo; ?>
      </div>
      <?php
      endif;
      ?>
      <!-- End: ._author-photo -->

      <!-- Start: ._author-info -->
      <div class="_author-info">

        <!-- Start: ._author-name -->
        <h3 class="_author-name">
          <span class="_author-name-inner">
            <span class="_by"><?php _e( 'By', IPREV_SLUG ); ?></span>
            <span class="_name">
              <?php echo $review->comment_author; ?>
            </span>
          </span>
        </h3>
        <!-- End: ._author-name -->

        <!-- Start: ._author-job -->
        <?php
        $job = get_comment_meta( $review->comment_ID, 'review_user_job', true );
        if ( ! empty( $job )) :
        ?>
        <div class="_author-job">
          <?php echo $job; ?>
        </div>
        <?php
        endif;
        ?>
        <!-- End: ._author-job -->

        <!-- Start: ._rating -->
        <?php
        $ratingOn = $stSett->getSetting( 'list_rating_on', 'true' );
        $rating   = $review->comment_karma;
        if ( $ratingOn == 'true' ) :
        ?>
        <div class="_rating">
          <div class="_rating-star">
            <?php
            for( $i = 1; $i <= $rating; $i++ ) {
              echo '<span class="_rating-star-full"><i class="iprev-fa iprev-fa-star"></i></span>';
            }
            $minus = 5 - $rating;
            if ( $minus > 0 ) {
              for( $i = 1; $i <= $minus; $i++ ) {
                echo '<span class="_rating-star-empty"><i class="iprev-fa iprev-fa-star"></i></span>';
              }
            }
            ?>
          </div>
          <div class="_rating-label"><?php echo $rating; ?></div>
        </div>
        <?php
        endif;
        ?>
        <!-- End: ._rating -->

      </div>
      <!-- End: ._author-info -->
    </div>
    <!-- End: .iprev-review-author -->

    <!-- Start: .iprev-review-verified -->
    <?php
    $verifiedOn = $stSett->getSetting( 'list_verified_on', 'true' );

    if ( $verifiedOn == 'true' ):
      $verifiedUrl = $stSett->getSetting( 'verified_url', '#' );
    ?>
    <div class="iprev-review-verified">
      <a href="<?php echo $verifiedUrl; ?>">
        <span class="_verified-label">
          <i class="iprev-fa iprev-fa-check-circle-o"></i>
          <span class="_verified-text">
            <?php _e( 'Verified Purchase', IPREV_SLUG ); ?>
          </span>
        </span>
      </a>
    </div>
    <!-- End: .iprev-review-verified -->
    <?php
    endif;
    ?>
  </div>
</div>
<!-- End: .iprev-review-secondary -->
