<?php
/**
 * Page navigation view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="iprev-sidebar">
  <div class="iprev-sidebar-inner">
    <input type="hidden" name="tab_selected" id="iprev-tab-selected" value="<?php echo $this->tab; ?>" />
    <ul class="iprev-page-menu iprev-tab-menu">
      <li>
        <a href="#iprev-section-general" class="active">
          <i class="iprev-fa iprev-fa-cogs"></i>
          <strong><?php _e( 'General', IPREV_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      if ( $this->page ):
      ?>
      <li>
        <a href="#iprev-section-header">
          <i class="iprev-fa iprev-fa-header"></i>
          <strong><?php _e( 'Header', IPREV_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#iprev-section-footer">
          <i class="iprev-fa iprev-fa-long-arrow-down"></i>
          <strong><?php _e( 'Footer', IPREV_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#iprev-section-product">
          <i class="iprev-fa iprev-fa-archive"></i>
          <strong><?php _e( 'Product Info', IPREV_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#iprev-section-form">
          <i class="iprev-fa iprev-fa-list-alt"></i>
          <strong><?php _e( 'Review Form', IPREV_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#iprev-section-style">
          <i class="iprev-fa iprev-fa-paint-brush"></i>
          <strong><?php _e( 'Main Style', IPREV_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#iprev-section-seo">
          <i class="iprev-fa iprev-fa-globe"></i>
          <strong><?php _e( 'SEO', IPREV_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#iprev-section-share">
          <i class="iprev-fa iprev-fa-share-alt"></i>
          <strong><?php _e( 'Share', IPREV_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#iprev-section-review">
          <i class="iprev-fa iprev-fa-comment"></i>
          <strong><?php _e( 'Reviews', IPREV_SLUG ); ?></strong>
          <?php
          if ( ! empty( $this->moderatedCount )) {
            echo '<span class="iprev-moderated-count">' . $this->moderatedCount . '</span>';
          }
          ?>
        </a>
      </li>
      <?php
      endif;
      ?>
    </ul>
  </div>
</div>
