<?php
/**
 * Admin review list style view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="iprev-section-list" class="iprev-tab-content">
  <div class="iprev-tab-inner">

    <div class="iprev-title-content iprev-hide">
      <i class="iprev-fa iprev-fa-paint-brush"></i>
      <div class="iprev-title-text">
        <h3><?php _e( 'Reviews List Style', IPREV_SLUG ); ?></h3>
        <p><?php _e( 'Set the style of each list of reviews', IPREV_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .iprev-fields -->
    <div class="iprev-fields">

      <?php
      //Count
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
          <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-count"><?php _e( 'Count', IPREV_SLUG ); ?></label>
          </div>
          <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $count = $this->setting->getSetting( 'count', 10 );
              ?>
              <div class="iprev-input-group mr5">
                  <input type="text" id="input-count" class="iprev-input iprev-input-xs" name="count" value="<?php echo $count; ?>">
              </div>

              <div class="iprev-help">
                <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
                  <div class="iprev-help-content iprev-hide">
                  <?php _e( 'Count of the reviews.', IPREV_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Order By
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-orderby"><?php _e( 'Order By', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <select id="input-orderby" name="orderby">
            <?php
            $method  = $this->setting->getSetting( 'orderby', 'newest' );
            $methods = array(
              'newest'  => __( 'Date (Newest)', IPREV_SLUG ),
              'oldest'  => __( 'Date (Oldest)', IPREV_SLUG ),
              'rating'  => __( 'Rating', IPREV_SLUG )
            );
            foreach( $methods as $id => $label )
            {
                $sltd = '';
                if ( $id == $method ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $id . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Set the layout of the list of reviews.', IPREV_SLUG ); ?>
            </div>
          </div>

        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Layout
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-list-layout"><?php _e( 'Layout', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <select id="input-list-layout" name="list_layout">
            <?php
            $layout  = $this->setting->getSetting( 'list_layout', 'left' );
            $layouts = array(
              'left'      => __( 'User Info in Left', IPREV_SLUG ),
              'right'     => __( 'User Info in Right', IPREV_SLUG )
            );
            foreach( $layouts as $id => $label )
            {
                $sltd = '';
                if ( $id == $layout ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $id . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Set the layout of the list of reviews.', IPREV_SLUG ); ?>
            </div>
          </div>

        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Photo
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-list-photo-on"><?php _e( 'Photo', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-onoff">
              <?php
              $val  = $this->setting->getSetting( 'list_photo_on', 'true' );
              if ( $val == 'false' ) {
                  $val = 'false';
              }
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="iprev-btn-group">
                <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'Show', IPREV_SLUG ); ?></button>
                <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Hide', IPREV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="iprev-onoff-value" name="list_photo_on" value="<?php echo $val; ?>" />
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Set whether to show the user photo.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * User Url
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-list-url-on"><?php _e( 'User Url', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-onoff">
              <?php
              $val  = $this->setting->getSetting( 'list_url_on', 'true' );
              if ( $val == 'false' ) {
                  $val = 'false';
              }
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="iprev-btn-group">
                <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'On', IPREV_SLUG ); ?></button>
                <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Off', IPREV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="iprev-onoff-value" name="list_url_on" value="<?php echo $val; ?>" />
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Set whether to show the user website URL.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Rating
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-list-rating-on"><?php _e( 'Rating', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-onoff">
              <?php
              $val  = $this->setting->getSetting( 'list_rating_on', 'true' );
              if ( $val == 'false' ) {
                  $val = 'false';
              }
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="iprev-btn-group">
                <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'Show', IPREV_SLUG ); ?></button>
                <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Hide', IPREV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="iprev-onoff-value" name="list_rating_on" value="<?php echo $val; ?>" />
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Set whether to show the rating information.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Verified logo
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-list-verified-on"><?php _e( 'Verified', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-onoff">
              <?php
              $val  = $this->setting->getSetting( 'list_verified_on', 'true' );
              if ( $val == 'false' ) {
                  $val = 'false';
              }
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="iprev-btn-group">
                <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'Show', IPREV_SLUG ); ?></button>
                <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Hide', IPREV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="iprev-onoff-value" name="list_verified_on" value="<?php echo $val; ?>" />
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Set whether to show the rating information.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Verified URL
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-verified-url"><?php _e( 'Verified URL', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $url = $this->setting->getSetting( 'verified_url' );
          ?>
          <input type="text" id="input-verified-url" class="iprev-input iprev-input-full" name="verified_url" value="<?php echo $url; ?>">

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Set the URL for the verified purchase information.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Term Info
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-term"><?php _e( 'Term Info', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $term = $this->setting->getSetting( 'term' );
          ?>
          <textarea id="input-term" class="iprev-input iprev-input-full" name="term"><?php echo $term; ?></textarea> 

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The footer text for the combo bar.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

    </div>
    <!-- end: .iprev-fields -->

  </div>
</div>
